# List Workflows Retrieves a list of workflows (based on filter settings) where the authenticated user participates. The request can be sent also with an empty body (without filters or paging) in order to retrieve all workflows. Returns all workflows if the authenticated user is the workflow admin. --- Filter example: Returns only workflows where document type = Quote and workflow status = Approved. json { "data":{ "_constructor":"AdvancedCriteria", "operator":"and", "criteria":[ { "fieldName":"code", "operator":"equals", "value":"Q" }, { "fieldName":"workflowStatus", "operator":"equals", "value":"APPROVED" } ] } } Available for the following roles: - ADMIN_WO_USER_MGMT (General Admin (without User Management)) - SUPPORT (Investigate for Support) - PRICESHOP_RO (View Quoting) - PRICESHOP_EDIT (Edit Quoting) - PB_PRICEGRIDS_RO (View LPG) - WF_BUILDER (Manage Workflow Logics) - RM_RAT (Manage Rebate Templates) - RM_REBATEAGREEMENTS_RO (View Rebate Agreements) - RM_REBATEAGREEMENTS (Manage Rebate Agreements) - WF_BUILDER (Manage Workflow Logics) - CONTRACTS_RO (View A&P) - CM_CONTRACTMANAGER (Manage A&P module) - CONTRACTS_RO (View A&P) - WF_ADMIN (Manage Workflows) - SC_COMPENSATIONS_RO (View Compensation Plans) - SC_ADMIN (Administer Sales Compensations module) Endpoint: POST /workflowsmanager.fetch Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. - `oldValues` (any) - `operationType` (string) - `startRow` (number) The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results. - `textMatchStyle` (string) - `data` (object) - `data._constructor` (string) - `data.operator` (string) Enum: "and", "or" - `data.criteria` (array) - `data.criteria.fieldName` (string) Specify the name of the field you want to filter the returned workflows by. Enum: "uniqueName", "label", "code", "workflowStatus", "delegation", "notificationSent", "createDate" - `data.criteria.operator` (string) Specify an operator of the filter criteria. Enum: "equals", "iEquals", "notEqual", "iNotEqual", "isNull", "notNull", "contains", "iContains", "containsPattern", "iContainsPattern", "notContains", "iNotContains", "startsWith", "iStartsWith", "notStartsWith", "iNotStartsWith", "endsWith", "iEndsWith", "notEndsWith", "iNotEndsWith", "iBetween", "iBetweenInclusive", "inSet", "notInSet" - `data.criteria.value` (string) Specify the workflow status or the type code. Enum: "CL", "CT", "DCR", "DP", "MR", "PL", "PGI", "XPGI", "Q", "RBA", "RR", "DRAFT", "SUBMITTED", "DENIED", "APPROVED", "NO_APPROVAL_REQUIRED", "WITHDRAWN", "INVALIDATED" ## Response 200 fields (application/json): - `response` (object) - `response.status` (number) - `response.startRow` (number) - `response.node` (string) - `response.csrfToken` (string) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.uniqueName` (string) - `response.data.label` (string) - `response.data.approvableTypedId` (string) - `response.data.approvableUniqueName` (string) - `response.data.currentStepId` (string) - `response.data.workflowStatus` (string) - `response.data.code` (string) - `response.data.storesOnlyHeaderOfApprovableState` (boolean) - `response.data.expandedActiveUsers` (string) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.data.delegation` (string) - `response.endRow` (number)